InsightsUpdate insight
Insights

Update insight

Partially update insight fields.

curl -X PATCH "https://api.mythic-analytics.com/api/v1/insights/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "query": {},
  "visualization": {}
}'
{
  "success": true,
  "data": {
    "id": "ins_8kN2mPqR",
    "name": "Daily Active Users",
    "description": "example_string",
    "query": {},
    "visualization": {},
    "created_at": "2024-05-10T08:00:00.000Z",
    "updated_at": "2024-06-01T12:30:00.000Z"
  }
}
PATCH
/insights/{id}
PATCH
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Insight identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Insight identifier.

Responses

successboolean
dataobject